Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.denormaliser
Class DenormaliserTargetField

    java.lang.Object
      org.pentaho.di.trans.steps.denormaliser.DenormaliserTargetField

    public class DenormaliserTargetField

extends Object

Contains the properties of the target field, conversion mask, type, aggregation method, etc.

Since:
  17-jan-2006
Author:
  Matt

Field Summary
`static int` | `TYPE_AGGR_AVERAGE`
`static int` | `TYPE_AGGR_CONCAT_COMMA`
`static int` | `TYPE_AGGR_COUNT_ALL`
`static int` | `TYPE_AGGR_MAX`
`static int` | `TYPE_AGGR_MIN`
`static int` | `TYPE_AGGR_NONE`
`static int` | `TYPE_AGGR_SUM`
`static String[]` | `typeAggrDesc`
`static String[]` | `typeAggrLongDesc`

Constructor Summary
`DenormaliserTargetField()` Create an empty pivot target field

Method Summary
`static int` | `getAggregationType(String desc)`
`static String` | `getAggregationTypeDesc(int i)`
`static String` | `getAggregationTypeDescLong(int i)`
`String` | `getFieldName()`
`String` | `getKeyValue()`
`int` | `getTargetAggregationType()`
`String` | `getTargetAggregationTypeDesc()`
`String` | `getTargetAggregationTypeDescLong()`
`String` | `getTargetCurrencySymbol()`
`String` | `getTargetDecimalSymbol()`
`String` | `getTargetFormat()`
`String` | `getTargetGroupingSymbol()`
`int` | `getTargetLength()`
`String` | `getTargetName()`
`String` | `getTargetNullString()`
`int` | `getTargetPrecision()`
`int` | `getTargetType()`
`String` | `getTargetTypeDesc()`
`void` | `setFieldName(String fieldName)`
`void` | `setKeyValue(String keyValue)`
`void` | `setTargetAggregationType(int targetAggregationType)`
`void` | `setTargetAggregationType(String aggregationType)`
`void` | `setTargetCurrencySymbol(String targetCurrencySymbol)`
`void` | `setTargetDecimalSymbol(String targetDecimalSymbol)`
`void` | `setTargetFormat(String targetFormat)`
`void` | `setTargetGroupingSymbol(String targetGroupingSymbol)`
`void` | `setTargetLength(int targetLength)`
`void` | `setTargetName(String targetName)`
`void` | `setTargetNullString(String targetNullString)`
`void` | `setTargetPrecision(int targetPrecision)`
`void` | `setTargetType(int targetType)`
`void` | `setTargetType(String typeDesc)` Set the target type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_AGGR_NONE

    public static final int TYPE_AGGR_NONE

See Also:
  Constant Field Values

### TYPE_AGGR_SUM

    public static final int TYPE_AGGR_SUM

See Also:
  Constant Field Values

### TYPE_AGGR_AVERAGE

    public static final int TYPE_AGGR_AVERAGE

See Also:
  Constant Field Values

### TYPE_AGGR_MIN

    public static final int TYPE_AGGR_MIN

See Also:
  Constant Field Values

### TYPE_AGGR_MAX

    public static final int TYPE_AGGR_MAX

See Also:
  Constant Field Values

### TYPE_AGGR_COUNT_ALL

    public static final int TYPE_AGGR_COUNT_ALL

See Also:
  Constant Field Values

### TYPE_AGGR_CONCAT_COMMA

    public static final int TYPE_AGGR_CONCAT_COMMA

See Also:
  Constant Field Values

### typeAggrDesc

    public static final String[] typeAggrDesc

### typeAggrLongDesc

    public static final String[] typeAggrLongDesc

Constructor Detail

### DenormaliserTargetField

    public DenormaliserTargetField()

  Create an empty pivot target field

Method Detail

### getFieldName

    public String getFieldName()

  Returns:
    Returns the fieldName.

### setFieldName

    public void setFieldName(String fieldName)

  Parameters:
    `fieldName` - The fieldName to set.

### getTargetFormat

    public String getTargetFormat()

  Returns:
    Returns the targetFormat.

### setTargetFormat

    public void setTargetFormat(String targetFormat)

  Parameters:
    `targetFormat` - The targetFormat to set.

### getKeyValue

    public String getKeyValue()

  Returns:
    Returns the keyValue.

### setKeyValue

    public void setKeyValue(String keyValue)

  Parameters:
    `keyValue` - The keyValue to set.

### getTargetCurrencySymbol

    public String getTargetCurrencySymbol()

  Returns:
    Returns the targetCurrencySymbol.

### setTargetCurrencySymbol

    public void setTargetCurrencySymbol(String targetCurrencySymbol)

  Parameters:
    `targetCurrencySymbol` - The targetCurrencySymbol to set.

### getTargetDecimalSymbol

    public String getTargetDecimalSymbol()

  Returns:
    Returns the targetDecimalSymbol.

### setTargetDecimalSymbol

    public void setTargetDecimalSymbol(String targetDecimalSymbol)

  Parameters:
    `targetDecimalSymbol` - The targetDecimalSymbol to set.

### getTargetGroupingSymbol

    public String getTargetGroupingSymbol()

  Returns:
    Returns the targetGroupingSymbol.

### setTargetGroupingSymbol

    public void setTargetGroupingSymbol(String targetGroupingSymbol)

  Parameters:
    `targetGroupingSymbol` - The targetGroupingSymbol to set.

### getTargetLength

    public int getTargetLength()

  Returns:
    Returns the targetLength.

### setTargetLength

    public void setTargetLength(int targetLength)

  Parameters:
    `targetLength` - The targetLength to set.

### getTargetName

    public String getTargetName()

  Returns:
    Returns the targetName.

### setTargetName

    public void setTargetName(String targetName)

  Parameters:
    `targetName` - The targetName to set.

### getTargetNullString

    public String getTargetNullString()

  Returns:
    Returns the targetNullString.

### setTargetNullString

    public void setTargetNullString(String targetNullString)

  Parameters:
    `targetNullString` - The targetNullString to set.

### getTargetPrecision

    public int getTargetPrecision()

  Returns:
    Returns the targetPrecision.

### setTargetPrecision

    public void setTargetPrecision(int targetPrecision)

  Parameters:
    `targetPrecision` - The targetPrecision to set.

### getTargetType

    public int getTargetType()

  Returns:
    Returns the targetType.

### setTargetType

    public void setTargetType(int targetType)

  Parameters:
    `targetType` - The targetType to set.

### getTargetTypeDesc

    public String getTargetTypeDesc()

  Returns:
    The description of the target Value type

### setTargetType

    public void setTargetType(String typeDesc)

  Set the target type

  Parameters:
    `typeDesc` - the target value type description

### getTargetAggregationType

    public int getTargetAggregationType()

  Returns:
    The target aggregation type: when a key-value collision occurs, what it the aggregation to use.

### setTargetAggregationType

    public void setTargetAggregationType(int targetAggregationType)

  Parameters:
    `targetAggregationType` - Specify the The aggregation type: when a key-value collision occurs, what it the aggregation to use.

### getAggregationType

    public static final int getAggregationType(String desc)

### getAggregationTypeDesc

    public static final String getAggregationTypeDesc(int i)

### getAggregationTypeDescLong

    public static final String getAggregationTypeDescLong(int i)

### setTargetAggregationType

    public void setTargetAggregationType(String aggregationType)

### getTargetAggregationTypeDesc

    public String getTargetAggregationTypeDesc()

### getTargetAggregationTypeDescLong

    public String getTargetAggregationTypeDescLong()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD